# Uses of Interface
org.apache.sling.caconfig.management.ConfigurationData

Packages that use ConfigurationData
Package
Description
org.apache.sling.caconfig.management
Management API of the Context-Aware configuration implementation.

## Uses of ConfigurationData in org.apache.sling.caconfig.management

Methods in org.apache.sling.caconfig.management that return ConfigurationData
Modifier and Type
Method
Description
`@Nullable ConfigurationData`
ConfigurationManager.`getConfiguration(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull String configName)`
Get configuration data for the given context resource and configuration name.
`@Nullable ConfigurationData`
ConfigurationManager.`newCollectionItem(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull String configName)`
Creates a new empty configuration data item for a configuration data collection for the given configuration name.
Methods in org.apache.sling.caconfig.management that return types with arguments of type ConfigurationData
Modifier and Type
Method
Description
`@NotNull Collection<ConfigurationData>`
ConfigurationCollectionData.`getItems()`